lkml.org 
[lkml]   [1998]   [Aug]   [28]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
Subject[patch] scripts/Configure should use stdin

This tiny patch works with 2.1.119 and 2.0.35 (offet -7 lines). I need
it to drive "make config" without manual intervention.

My preferred cmdline looks like
yes "" | make config | tr ']' '\n' | grep -w NEW
but there are other uses of stdin. Actually, I don't see any reason to
read /dev/tty.
Best
/alessandro

--- ./scripts/Configure.orig Fri Aug 28 11:03:13 1998
+++ ./scripts/Configure Fri Aug 28 11:04:09 1998
@@ -126,7 +126,7 @@
else
echo -n "$1"
[ -z "$3" ] && echo -n "(NEW) "
- IFS='@' read ans </dev/tty || exit 1
+ IFS='@' read ans || exit 1
[ -z "$ans" ] && ans=$2
fi
}

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.rutgers.edu
Please read the FAQ at http://www.altern.org/andrebalsa/doc/lkml-faq.html

\
 
 \ /
  Last update: 2005-03-22 13:44    [from the cache]
©2003-2011 Jasper Spaans